Subject: Re: [SWIPL] How to swipl list becoming comp.lang.prolog.how.to.do.my.coursework?

From: Jacinto A. Dávila <[email-masked]>
Date: Fri, 30 Mar 2001 10:28:09 -0600 (CST)

I agree with Dave... That´s as far as we can go
with the restrictions and we do need tutorial support
for students. 
 
We know that Prolog comes as a shock to students.
It´s completely diferent to what they´ve seen in other
(arguably more popular) programming languages.

It´s always very useful this chance to send any
question into the darkness and get a partial, but
perfect response from someone like Richard. 

Jacinto A. Dávila (http://cesimo.ing.ula.ve/~jacinto/)
Coordinador del Postgrado en Modelado y Simulación (cesimo.ing.ula.ve)
Coordinador del Laboratorio de Computación Avanzada, Multimedia y
Video-Conferencia (pgvirtual.pg.ing.ula.ve/labcamv/). 
Universidad de Los Andes (www.ula.ve) 

On Fri, 30 Mar 2001, Dave Sharp wrote:

> I find a partial solution is to tell my students that I am a regular reader 
> of Prolog email lists and that if I see one of my assignments coming up 
> then I will be even more vigilant than usual when looking for plagiarism in 
> the assignments submitted. I think as teachers we must also remember that 
> most assignments are set as part of the learning process as well as part of 
> the student assessment process. We must therefore ensure that we do provide 
> an appropriate level of tutorial support.
> 
>                  Dave
> 
> At 11:58 30/03/01 +1000, you wrote:
> >I've noticed an increasing number of postings like this recently:
> >
> > >I am learning prolog language. I have a project. Here is the request:
> > >Use prolog language to draw a square grid of 50 by 50 locations to simulate
> >a soccer field,  >place each team's soccer players in the own quarters at
> >the start of game.
> >
> >[etc etc etc]
> >
> > >How to draw the grid? Can I use write statement? How to set the players on
> >the field? Can I >write like this (suppose we have two teams, one is A, the
> >other is B):
> > >start_pos(1A, 5, 5)
> > >start_pos(2A, 5, 30)
> >
> >[etc etc etc]
> >
> >People like Richard O'Keefe patiently answer, and gently suggest that the
> >poster should buy a good prolog book. Other, less tolerant, sit on their
> >hands to stop far more incendiary replies. This is a SWI Prolog list, not a
> >homework / coursework support group. If people want help with their
> >assignments, then they should post to comp.lang.prolog (and then stand well
> >back !)
> >
> >Any ideas to stop this abuse spreading?
> >
> >cheers
> >
> >chris
> >
> >
> >----------------
> >* To UNSUBSCRIBE, please use the HTML form at
> >
> >     http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist
> >
> >or send mail to [email-masked] using the Subject: "unsubscribe"
> >(without the quotes) and *no* message body.
> >
> >** An ARCHIVE of this list is maintained at
> >
> >     http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/
>